# Peer-at Code

Peer-at Code est un site web qui permet d'offrir un parcours amusant, le but étant de donner l’envie de coder et d’apprendre par le jeu.

## Installation

1. Installer [Node.js](https://nodejs.org/en/download/) (v14.15.4 ou supérieur)

2. Installer [pnpm](https://pnpm.io/installation)

3. Exécuter `pnpm install` dans le dossier du projet pour installer les dépendances

4. Exécuter `pnpm dev` pour démarrer le serveur de développement

Ouvre [http://localhost:5173](http://localhost:5173) avec ton navigateur pour accéder au site.

## Déploiement

1. Exécuter `pnpm build` pour générer le site

2. Exécuter `node build` pour démarrer le serveur de production

Ouvre [http://localhost:3000](http://localhost:3000) avec ton navigateur pour accéder au site.

## Contribution

C'est un projet open-source, donc n'hésite pas à contribuer ! Voici quelques conseils pour contribuer :

1. Crée une branche pour tes modifications

2. Fais tes modifications

3. Crée une pull-request

Tu peux aussi créer une issue si tu as des questions ou des suggestions.

N'oublie pas de rejoindre le [serveur Discord](https://discord.gg/72vuHcwUkE) pour discuter avec nous !

## Licence

[GPU GPL V3.0](https://git.peerat.dev/Peer-at-Code/peer-at-code-web/src/branch/main/LICENSE)
