import { redirect } from "@sveltejs/kit";
import type { PageServerLoad } from "./$types";

export const load: PageServerLoad = async ({ locals: { user }, cookies }) => {

  if (!user) redirect(302, '/login');

  if (!user.email.endsWith('@peerat.dev')) redirect(302, '/');

  const session = cookies.get("session");
  
  return {
    session
  };
};
