import { redirect } from '@sveltejs/kit';
import type { PageServerLoad } from './$types';

import { handleRedirect } from '$lib/utils';

export const load: PageServerLoad = async ({ url, locals: { user } }) => {
	if (!user) redirect(302, handleRedirect('login', url));
}
