import { redirect } from '@sveltejs/kit';

import type { PageServerLoad } from './$types';

import { handleRedirect } from '$lib/utils';

export const load = (async ({ url, locals: { user }, params: { chapterId } }) => {
	if (!user) redirect(302, handleRedirect('login', url));
	redirect(302, chapterId ? `/chapters/${chapterId}` : `/chapters`);
}) satisfies PageServerLoad;
