import { redirect, type RequestHandler } from "@sveltejs/kit";

export const GET: RequestHandler = async ({ locals: { user }, cookies }) => {

  if (!user) redirect(302, "/login");

  const session = cookies.get("session");

  if (session) cookies.delete("session", { path: "/" });

  return redirect(302, "/login");
};
