import type { RequestHandler } from "@sveltejs/kit";

export const GET: RequestHandler = async () => {

  const entries = [
    'User-agent: *',
    'Disallow: /',
  ];

  const response = entries.join('\n');

  return new Response(response, {
    status: 200,
    headers: {
      'Content-Type': 'text/plain',
      'Cache-Control': 'public, max-age=0, must-revalidate',
    },
  });
};
